<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/TypeAnalysis/TypeEvaluator.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/TypeAnalysis/TypeEvaluator.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/TypeAnalysis/TypeEvaluator.hh</h1><div><a href="../../../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="../PTree/Visitor.hh.html" >Synopsis/PTree/Visitor.hh</a></li>
<li>include <a href="../PTree/Atoms.hh.html" >Synopsis/PTree/Atoms.hh</a></li>
<li>include <a href="../PTree/Lists.hh.html" >Synopsis/PTree/Lists.hh</a></li>
<li>include <a href="../SymbolLookup/Scope.hh.html" >Synopsis/SymbolLookup/Scope.hh</a></li>
<li>include <a href="Type.hh.html" >Synopsis/TypeAnalysis/Type.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::TypeAnalysis</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >TypeEvaluator</a>
<div class="doc"><p>evaluate the type of an expression</p>
</div></div>

</div>
<div><h3>Data members in Synopsis::TypeAnalysis::TypeEvaluator</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#my_scope" >my_scope</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#my_type" >my_type</a>
<div class="doc"></div></div>

</div>
<div><h3>Functions in Synopsis::TypeAnalysis</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#type_of_lconst.PTree_mNode_S_cconst.SymbolLookup_mScope_S_r" >type_of&#40;const&#160;PTree::Node*&#44;const&#160;SymbolLookup::Scope*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::TypeAnalysis::TypeEvaluator</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#TypeEvaluator_lconst.SymbolLookup_mScope_S_r" >TypeEvaluator&#40;const&#160;SymbolLookup::Scope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#evaluate_lconst.PTree_mNode_S_r" >evaluate&#40;const&#160;PTree::Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mArrayExpr_S_r" >visit&#40;PTree::ArrayExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mArrowMemberExpr_S_r" >visit&#40;PTree::ArrowMemberExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mAssignExpr_S_r" >visit&#40;PTree::AssignExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mCastExpr_S_r" >visit&#40;PTree::CastExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mCondExpr_S_r" >visit&#40;PTree::CondExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mDeleteExpr_S_r" >visit&#40;PTree::DeleteExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mDotMemberExpr_S_r" >visit&#40;PTree::DotMemberExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mFstyleCastExpr_S_r" >visit&#40;PTree::FstyleCastExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mFuncallExpr_S_r" >visit&#40;PTree::FuncallExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mIdentifier_S_r" >visit&#40;PTree::Identifier*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mInfixExpr_S_r" >visit&#40;PTree::InfixExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mKwd_mThis_S_r" >visit&#40;PTree::Kwd::This*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mLiteral_S_r" >visit&#40;PTree::Literal*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mName_S_r" >visit&#40;PTree::Name*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mNewExpr_S_r" >visit&#40;PTree::NewExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mParenExpr_S_r" >visit&#40;PTree::ParenExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mPmExpr_S_r" >visit&#40;PTree::PmExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mPostfixExpr_S_r" >visit&#40;PTree::PostfixExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mSizeofExpr_S_r" >visit&#40;PTree::SizeofExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mThrowExpr_S_r" >visit&#40;PTree::ThrowExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mTypeidExpr_S_r" >visit&#40;PTree::TypeidExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mTypeofExpr_S_r" >visit&#40;PTree::TypeofExpr*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mUnaryExpr_S_r" >visit&#40;PTree::UnaryExpr*&#41;</a>
<div class="doc"></div></div>
</div>

</body>
</html>
